package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.ScaleContentPageDTO;
import com.diagbot.entity.ScaleContent;
import com.diagbot.vo.ScaleContentPageVO;

/**
 * <p>
 * 量表内容表 Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2019-04-08
 */
public interface ScaleContentMapper extends BaseMapper<ScaleContent> {

    /**
     * 获取量表分页
     *
     * @param scaleContentPageVO
     * @return
     */
    public IPage<ScaleContentPageDTO> getList(ScaleContentPageVO scaleContentPageVO);
//
//
//    /**
//     * 返回量表内容
//     *
//     * @param scaleId
//     * @return
//     */
//    public List<ScaleContentDTO> getByParam(Long scaleId);
}
